OctoPi 0.16 nightlies are unavailable

I'm trying to download the latest nightly build of OctoPi 0.16 using the link on the downloads page (http://gnethomelinux.com/OctoPi/nightly/) but I am getting a "502 Bad Gateway" error.

1 Like

That's something @guysoft will have to take a look at since it's his server.

Fixed, server died because if slight mess that was fixed in my nginx-proxy server.

This is a good time to note that we need a build server to build OctoPi images, which are currently hosted in my parents apartment over VPN because I am in the process of moving flats, where OctoPi build and nightly files were hosted until the start of this year.

1 Like

I thought there were some options for open-source repos, like Travis. But I could do it (and pay for it) on AWS CodeBuild, or on one of my home servers. Lemme know if you want to collaborate on it.

ah, privileged-mode is gonna be a problem. testing locally (and editing the wiki, not sure the latter can be PR'ed back)

notes so far:

  • the run command ordering is wrong, anything after container:label is considered part of the executable. so -v needs to be before the container name, for instance. NBD, I'm fixing the docs on that.
  • simply running with no exec argument means cmd/entrypoint is used, which is just /bin/bash.
  • added nightly_build but there's obviously more missing, here's my cmd and the end of the output:
docker rm /mydistro_builder; docker run -v `pwd`:/distro --name mydistro_builder --device /dev/loop-control guysoft/custompios:devel /CustomPiOS/nightly_build_scripts/custompios_nightly_build
.....
+++ pushd /distro/workspace
/distro/workspace /distro
+++ '[' -e '*.img' ']'
+++ '[' '!' -f '' ']'
+++ echo 'Error: could not find image: '
Error: could not find image: 
+++ exit 1
+ exit 1

Fixed by downloading Raspbian lite.

Now, next error:

Disk 2018-11-13-raspbian-stretch-lite.img: 2.1 GiB, 2285895680 bytes, 4464640 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disklabel type: dos
Disk identifier: 0x7ee80803

Device                                Boot Start     End Sectors  Size Id Type
2018-11-13-raspbian-stretch-lite.img1       8192   98045   89854 43.9M  c W95 FAT32 (LBA)
2018-11-13-raspbian-stretch-lite.img2      98304 4464639 4366336  2.1G 83 Linux

Command (m for help): The partition table has been altered.
Syncing disks.

++++ losetup -f --show -o 50331648 2018-11-13-raspbian-stretch-lite.img
losetup: 2018-11-13-raspbian-stretch-lite.img: failed to set up loop device: No such file or directory
+++ LODEV=

Added --privileged. Next error:

+ update-binfmts --enable qemu-arm
update-binfmts: warning: Couldn't load the binfmt_misc module.
+ mount binfmt_misc -t binfmt_misc /proc/sys/fs/binfmt_misc
+ '[' -d /CustomPiOS/modules/base/filesystem ']'
++ which qemu-arm-static
+ cp /usr/bin/qemu-arm-static usr/bin
+ cp /CustomPiOS/modules/base/start_chroot_script chroot_script
+ chmod 755 chroot_script
+ cp /CustomPiOS/common.sh common.sh
+ chmod 755 common.sh
...
+++ sed -i 's@/usr/lib/arm-linux-gnueabihf/libarmmem.so@\#/usr/lib/arm-linux-gnueabihf/libarmmem.so@' etc/ld.so.preload
+++ '[' -n '' ']'
+++ '[' -n '' ']'
+++ CHROOT_SCRIPT=/distro/workspace/chroot_script
+++ python3 /CustomPiOS/execution_order.py 'base(raspicam, network, disable-services(octopi), password-for-sudo)' /distro/workspace/chroot_script
WARNING: No file at - /CustomPiOS/modules/raspicam/end_chroot_script
WARNING: No file at - /CustomPiOS/modules/network/end_chroot_script
WARNING: No file at - /distro/modules/octopi/end_chroot_script
WARNING: No file at - /CustomPiOS/modules/password-for-sudo/end_chroot_script
+++ export -f execute_chroot_script
+++ /distro/workspace/chroot_script
+ set -e
+ execute_chroot_script /CustomPiOS/modules/base /CustomPiOS/modules/base/start_chroot_script
+ '[' -f /.dockerenv ']'
+ update-binfmts --enable qemu-arm
update-binfmts: warning: Couldn't load the binfmt_misc module.
+ mount binfmt_misc -t binfmt_misc /proc/sys/fs/binfmt_misc
+ '[' -d /CustomPiOS/modules/base/filesystem ']'
++ which qemu-arm-static
+ cp /usr/bin/qemu-arm-static usr/bin
+ cp /CustomPiOS/modules/base/start_chroot_script chroot_script
+ chmod 755 chroot_script
+ cp /CustomPiOS/common.sh common.sh
+ chmod 755 common.sh
+ chroot . usr/bin/qemu-arm-static /bin/bash /chroot_script
+ set -e
+ export LC_ALL=C
+ LC_ALL=C
+ source /common.sh
+ install_cleanup_trap
+ set -e
+ trap cleanup SIGINT SIGTERM
+ '[' -n '' ']'
+ '[' -n '' ']'
+ '[' yes == yes ']'
+ touch /boot/ssh
/chroot_script: line 40: /usr/bin/touch: cannot execute binary file: Exec format error
++++ echo_red 'build failed, unmounting image...'
++++ echo -e -n '\e[91m'
^[[91m++++ echo build failed, unmounting image...
build failed, unmounting image...
[and goes on to unmount, snipped]

Wait, does OctoPi need to be run on an Arm device? I thought this was set up to cross-build.

I'll look more but I should do Actual Work right now anyhow :slight_smile:

Is the server us currently down? Nightlies time out.

Yes it is, I have to drive over to my parents and figure out what went wrong, probably the VPN got disconnected